Open MPI logo

Open MPI Development Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Development mailing list

Subject: Re: [OMPI devel] OMPI 1.5 twitter notification plugin probably broken by switch to OAUTH
From: Ralph Castain (rhc_at_[hidden])
Date: 2010-09-02 10:44:10


Okay, I fixed this up for you on the devel trunk:

Ralph:ompi-trunk rhc$ orterun -n 3 -mca notifier hnp foo
Job Ralph:10628 terminated abnormally
--------------------------------------------------------------------------
orterun was unable to find the specified executable file, and therefore
did not launch the job. This error was first reported for process
rank 0; it may have occurred for other processes as well.

NOTE: A common cause for this error is misspelling a orterun command
      line parameter option (remember that orterun interprets the first
      unrecognized command line token as the executable).

Node: Ralph
Executable: foo
--------------------------------------------------------------------------
3 total processes failed to start

Ralph:ompi-trunk rhc$ orterun -n 3 -mca notifier hnp hostname
Ralph
Ralph
Ralph

Ralph:ompi-trunk rhc$ orterun -n 3 -mca notifier hnp -mca notifier_threshold_severity info hostname
Ralph
Ralph
Ralph
Job Ralph:10624 complete

HTH
Ralph

On Sep 1, 2010, at 5:15 AM, Chris Samuel wrote:

> Hi folks,
>
> Looking at the code for the Twitter notifier in OMPI 1.5
> and seeing its use of HTTP basic authentication I would
> suggest that it may be non-functional due to Twitters
> switch to purely OAUTH based authentication for their API.
>
> I'm trying to test it out here but I'm at a bit of a loss
> to find a trivial command line to trigger a notifier, even
> the syslog one! I've Googled and grep'd with no joy..
>
> For instance:
>
> chris_at_quad:/tmp/ompi$ ./bin/mpirun --mca notifier syslog --mca notifier_threshold_severity 99 --mca
> notifier_base_verbose 99 /bin/doesnotexist
> [quad:18429] mca: base: components_open: Looking for notifier components
> [quad:18429] mca: base: components_open: opening notifier components
> [quad:18429] mca: base: components_open: found loaded component syslog
> [quad:18429] mca: base: components_open: component syslog has no register function
> [quad:18429] mca: base: components_open: component syslog open function successful
> [quad:18429] mca:base:select: Auto-selecting notifier components
> [quad:18429] mca:base:select:(notifier) Querying component [syslog]
> [quad:18429] mca:base:select:(notifier) Query of component [syslog] set priority to 1
> [quad:18429] mca:base:select:(notifier) Selected component [syslog]
> --------------------------------------------------------------------------
> mpirun was unable to launch the specified application as it could not access
> or execute an executable:
>
> Executable: /bin/doesnotexist
> Node: quad
>
> while attempting to start process rank 0.
> --------------------------------------------------------------------------
> [quad:18429] mca: base: close: component syslog closed
> [quad:18429] mca: base: close: unloading component syslog
>
> But nothing appears in the syslog.
>
> Ideas ?
>
> cheers!
> Chris
> --
> Christopher Samuel Senior Systems Administrator
> VLSCI - Victorian Life Sciences Computational Initiative
> Email: samuel_at_[hidden] Phone: +61 (0)3 903 55545
> http://www.vlsci.unimelb.edu.au/
> _______________________________________________
> devel mailing list
> devel_at_[hidden]
> http://www.open-mpi.org/mailman/listinfo.cgi/devel